%define tarname html-parser
Summary: HTML parsing module for Ruby
Name: ruby-html-parser
Version: 19990912p2 
Release: 2
License: public domain
Group: Applications/Ruby
Source: http://www.jin.gr.jp/~nahi/Ruby/html-parser/html-parser-%{version}.tar.gz
URL: http://www.jin.gr.jp/~nahi/Ruby/html-parser/README.html
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby

%description
The html-parser package is a variant language implementation of the Python's
SGML parser (sgmllib.py), HTML parser (htmllib.py) and Formatter
(formatter.py). 

%prep
%setup -n %{tarname}-%{version}

%build
ruby -i -pe 'sub("/usr/local/bin/ruby", "/usr/bin/ruby")' htmltest.rb

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval sitedir=`ruby -r rbconfig -e 'p Config::CONFIG["sitedir"]'`
install -d $RPM_BUILD_ROOT/$sitedir
install formatter.rb $RPM_BUILD_ROOT/$sitedir/formatter.rb
install html-parser.rb $RPM_BUILD_ROOT/$sitedir/html-parser.rb
install sgml-parser.rb $RPM_BUILD_ROOT/$sitedir/sgml-parser.rb
find $RPM_BUILD_ROOT/$sitedir -type f -print | ruby -pe 'sub("^'$RPM_BUILD_ROOT'", "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc README* htmltest.rb

%changelog
* Mon Apr  1 2002 Ian Macdonald <ian@caliban.org>
- 19990912p2
